# WebGLFlags | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

# Interface WebGLFlags

#### Hierarchy

- WebGLFlags

- Defined in env.ts:54

#####
Index

### Properties

async?
contextId?
matmulMaxBatchSize?
pack?
textureCacheMode?

## Properties

### `Optional` async

async?: boolean

Set or get whether enable async download.

### Default Value

`false`

- Defined in env.ts:84

### `Optional` contextId

contextId?: "webgl" | "webgl2"

Set or get the WebGL Context ID (webgl or webgl2).

### Default Value

`'webgl2'`

- Defined in env.ts:60

### `Optional` matmulMaxBatchSize

matmulMaxBatchSize?: number

Set or get the maximum batch size for matmul. 0 means to disable batching.

### Deprecated

- Defined in env.ts:66

### `Optional` pack

pack?: boolean

Set or get the packed texture mode

### Default Value

`false`

- Defined in env.ts:78

### `Optional` textureCacheMode

textureCacheMode?: "full" | "initializerOnly"

Set or get the texture cache mode.

### Default Value

`'full'`

- Defined in env.ts:72

Generated using TypeDoc